/*-------------------------------------------------------------------------
 * Copyright (c) 2000-2002 Kenneth W. Sodemann (stuffle@charter.net)
 *-------------------------------------------------------------------------
 * version
 *
 * Synopsis:
 *   A collection of utilities dealing with versioning.  
 *
 * $Id: version.c,v 1.3 2002/01/30 00:40:02 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330 
 * Boston, MA  02111-1307  USA 
 *-------------------------------------------------------------------------
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
                                                                                
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int libpreps_major_version (void)
{
   char *version_str;
   int   major, minor, micro;

   version_str = strdup (VERSION);
   sscanf (version_str, "%d.%d.%d", &major, &minor, &micro);
   free (version_str);

   return major;
}


int libpreps_minor_version (void)
{
   char *version_str;
   int   major, minor, micro;

   version_str = strdup (VERSION);
   sscanf (version_str, "%d.%d.%d", &major, &minor, &micro);
   free (version_str);

   return minor;
}


int libpreps_micro_version (void)
{
   char *version_str;
   int   major, minor, micro;

   version_str = strdup (VERSION);
   sscanf (version_str, "%d.%d.%d", &major, &minor, &micro);
   free (version_str);

   return micro;
}
